Bug 841179 - [abrt] gtg-0.2.4-7.fc17: task.py:579:remove_tag:AttributeError: 'NoneType' object has no attribute 'remove_task'
[abrt] gtg-0.2.4-7.fc17: task.py:579:remove_tag:AttributeError: 'NoneType' ob...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtg (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
abrt_hash:da581bd0d1ac4a2f1c4de4cb0f7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 06:50 EDT by Michael
Modified: 2012-07-23 16:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 16:30:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael 2012-07-18 06:50:37 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/gtg
comment:        i edit my tasks
executable:     /usr/bin/gtg
kernel:         3.4.4-5.fc17.x86_64
time:           Mi 18 Jul 2012 12:48:16 CEST
uid:            1000
username:       michael

backtrace:
:task.py:579:remove_tag:AttributeError: 'NoneType' object has no attribute 'remove_task'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/GTG/taskeditor/taskview.py", line 1268, in _tag_event
:    self.open_task(anchor)
:  File "/usr/lib/python2.7/site-packages/GTG/taskbrowser/browser.py", line 847, in open_task
:    clipboard = self.clipboard)
:  File "/usr/lib/python2.7/site-packages/GTG/taskeditor/editor.py", line 178, in __init__
:    self.textview.modified(full=True)
:  File "/usr/lib/python2.7/site-packages/GTG/taskeditor/taskview.py", line 494, in modified
:    self._detect_tag(buff,local_start,local_end)
:  File "/usr/lib/python2.7/site-packages/GTG/taskeditor/taskview.py", line 675, in _detect_tag
:    self.remove_tag_callback(t)
:  File "/usr/lib/python2.7/site-packages/GTG/core/task.py", line 579, in remove_tag
:    t.remove_task(self.get_id())
:AttributeError: 'NoneType' object has no attribute 'remove_task'
:
:Local variables in innermost frame:
:self: <GTG.core.task.Task instance at 0x2cd83b0>
:t: None
:tagname: u't'
Comment 1 Fedora Update System 2012-07-18 08:35:17 EDT
gtg-0.2.4-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gtg-0.2.4-8.fc17
Comment 2 Fedora Update System 2012-07-19 05:10:15 EDT
Package gtg-0.2.4-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtg-0.2.4-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10839/gtg-0.2.4-8.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-07-23 16:30:24 EDT
gtg-0.2.4-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.